Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Trilead SSH-2 for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trilead.ssh2
Class SFTPv3FileAttributes

    java.lang.Object
      com.trilead.ssh2.SFTPv3FileAttributes

    public class SFTPv3FileAttributes

extends java.lang.Object

A `SFTPv3FileAttributes` object represents detail information about a file on the server. Not all fields may/must be present.

Version:
  $Id: SFTPv3FileAttributes.java,v 1.2 2008/04/01 12:38:09 cplattne Exp $
Author:
  Christian Plattner, plattner@trilead.com

Field Summary
`java.lang.Long` | `atime` The ATIME attribute.
`java.lang.Integer` | `gid` The GID attribute.
`java.lang.Long` | `mtime` The MTIME attribute.
`java.lang.Integer` | `permissions` The POSIX permissions.
`java.lang.Long` | `size` The SIZE attribute.
`java.lang.Integer` | `uid` The UID attribute.

Constructor Summary
`SFTPv3FileAttributes()`

Method Summary
`java.lang.String` | `getOctalPermissions()` Turn the POSIX permissions into a 7 digit octal representation.
`boolean` | `isDirectory()` Checks if this entry is a directory.
`boolean` | `isRegularFile()` Checks if this entry is a regular file.
`boolean` | `isSymlink()` Checks if this entry is a a symlink.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    public java.lang.Long size

  The SIZE attribute. `NULL` if not present.

### uid

    public java.lang.Integer uid

  The UID attribute. `NULL` if not present.

### gid

    public java.lang.Integer gid

  The GID attribute. `NULL` if not present.

### permissions

    public java.lang.Integer permissions

  The POSIX permissions. `NULL` if not present.

  Here is a list:

      Note: these numbers are all OCTAL.

        S_IFMT     0170000   bitmask for the file type bitfields
        S_IFSOCK   0140000   socket
        S_IFLNK    0120000   symbolic link
        S_IFREG    0100000   regular file
        S_IFBLK    0060000   block device
        S_IFDIR    0040000   directory
        S_IFCHR    0020000   character device
        S_IFIFO    0010000   fifo
        S_ISUID    0004000   set UID bit
        S_ISGID    0002000   set GID bit
        S_ISVTX    0001000   sticky bit

        S_IRWXU    00700     mask for file owner permissions
        S_IRUSR    00400     owner has read permission
        S_IWUSR    00200     owner has write permission
        S_IXUSR    00100     owner has execute permission
        S_IRWXG    00070     mask for group permissions
        S_IRGRP    00040     group has read permission
        S_IWGRP    00020     group has write permission
        S_IXGRP    00010     group has execute permission
        S_IRWXO    00007     mask for permissions for others (not in group)
        S_IROTH    00004     others have read permission
        S_IWOTH    00002     others have write permisson
        S_IXOTH    00001     others have execute permission

### atime

    public java.lang.Long atime

  The ATIME attribute. Represented as seconds from Jan 1, 1970 in UTC. `NULL` if not present.

### mtime

    public java.lang.Long mtime

  The MTIME attribute. Represented as seconds from Jan 1, 1970 in UTC. `NULL` if not present.

Constructor Detail

### SFTPv3FileAttributes

    public SFTPv3FileAttributes()

Method Detail

### isDirectory

    public boolean isDirectory()

  Checks if this entry is a directory.

  Returns:
    Returns true if permissions are available and they indicate that this entry represents a directory.

### isRegularFile

    public boolean isRegularFile()

  Checks if this entry is a regular file.

  Returns:
    Returns true if permissions are available and they indicate that this entry represents a regular file.

### isSymlink

    public boolean isSymlink()

  Checks if this entry is a a symlink.

  Returns:
    Returns true if permissions are available and they indicate that this entry represents a symlink.

### getOctalPermissions

    public java.lang.String getOctalPermissions()

  Turn the POSIX permissions into a 7 digit octal representation. Note: the returned value is first masked with `0177777`.

  Returns:
    `NULL` if permissions are not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Trilead SSH-2 for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD